Subject: bug#55655: 28.1; package.el no longers respects `user-emacs-directory'

From: Shitikanth <[email-masked]>
Date: Fri, 27 May 2022 11:33:17 +0530

Great news! That's exactly what I needed

Thanks for pointing that out!

On Fri, 27 May 2022 at 11:09, Visuwesh <[email-masked]> wrote:
>
> [வெள்ளி மே 27, 2022] Shitikanth wrote:
>
> >>Could you give some more details about the use case that actually
> > affects you
> >
> > I just have a couple of different configs and use them with
> > "emacs -Q --load $config_dir/init.el" and set the user-emacs-directory
> > early in "$config_dir/init.el". This was also the easiest way to try out
> > other people's configs without disturbing your own.
> >
> > I guess I was always aware that this was an abuse of the init system,
> > so if this is an intended change, you can close the bug report.
> >
>
> FWIW, Emacs 29 added a --init-directory flag for these purposes.  Here's
> the NEWS entry of the change,
>
>     ** Emacs now supports setting 'user-emacs-directory' via '--init-directory'.